RawKeyValueIterator (Hadoop 0.20.1+169.88 API)
Date: 2010-05-20

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Interface RawKeyValueIterator

    public interface RawKeyValueIterator

`RawKeyValueIterator` is an iterator used to iterate over the raw keys and values during sort/merge of intermediate data.

Method Summary
`void` | `close()` Closes the iterator so that the underlying streams can be closed.
`DataInputBuffer` | `getKey()` Gets the current raw key.
`Progress` | `getProgress()` Gets the Progress object; this has a float (0.0 - 1.0) indicating the bytes processed by the iterator so far
`DataInputBuffer` | `getValue()` Gets the current raw value.
`boolean` | `next()` Sets up the current key and value (for getKey and getValue).

Method Detail

### getKey

    DataInputBuffer getKey()
                           throws IOException

  Gets the current raw key.

  Returns:
    Gets the current raw key as a DataInputBuffer
  Throws:
    `IOException`

### getValue

    DataInputBuffer getValue()
                             throws IOException

  Gets the current raw value.

  Returns:
    Gets the current raw value as a DataInputBuffer
  Throws:
    `IOException`

### next

    boolean next()
                 throws IOException

  Sets up the current key and value (for getKey and getValue).

  Returns:
    `true` if there exists a key/value, `false` otherwise.
  Throws:
    `IOException`

### close

    void close()
               throws IOException

  Closes the iterator so that the underlying streams can be closed.

  Throws:
    `IOException`

### getProgress

    Progress getProgress()

  Gets the Progress object; this has a float (0.0 - 1.0) indicating the bytes processed by the iterator so far

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation